export declare function enterRunningState(object: object): () => void;
export declare function enterCollectionCallback(object: object): () => void;
export declare function assertCollectionMutable(object: object): void;
export declare function enterSnapshotRun(snapshot: object): () => void;
export declare function assertSnapshotInactive(snapshot: object): void;
